<template>
  <div id="nav">
    <router-link to="/">Home</router-link> |
    <router-link to="/about">About</router-link> 
    <hr>
    <router-link to="/L2">L2 - Creating the Vue App</router-link> |
    <router-link to="/L3">L3 - Attribute Binding</router-link> |
    <router-link to="/L4">L4 - Conditional Rending</router-link> |
    <router-link to="/L5">L5 - List Rendering</router-link> |
    <router-link to="/L6">L6 - Event Handing</router-link> <br>
    <router-link to="/L7">L7 - Class & Style Binding</router-link> |
    <router-link to="/L8">L8 - Computed Properties</router-link> |
    <router-link to="/L9">L9 - Components & Props</router-link> |
    <router-link to="/L10">L10 - Communicating Events</router-link> |
    <router-link to="/L11">L11 - Forms & v-model</router-link> 

  </div>
  <router-view/>
</template>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
}

#nav {
  padding: 30px;
}

#nav a {
  font-weight: bold;
  color: #2c3e50;
}

#nav a.router-link-exact-active {
  color: #42b983;
}
</style>
